Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(5)

Issue 73110043: code review 73110043: runtime: support for fake time like on Go Playground (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 6 months ago by dfc
Modified:
3 years, 6 months ago
Visibility:
Public.

Description

runtime: support for fake time like on Go Playground Reapply CL 15690048 from the rsc-go13-nacl branch which was only partially applied during the previous merge. Description taken from CL 15690048. To enable, entry assembly should initialize timens to a nonzero start time value (nanoseconds since 1970), and assembly for time.now must use a nonzero timens in preference to finding out the real time.

Patch Set 1 #

Patch Set 2 : diff -r b238e9cf4c3d https://code.google.com/p/go #

Patch Set 3 : diff -r 1849f83423ca https://code.google.com/p/go #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+42 lines, -1 line) Patch
M src/pkg/runtime/proc.c View 1 2 chunks +17 lines, -0 lines 1 comment Download
M src/pkg/runtime/time.goc View 1 2 chunks +25 lines, -1 line 0 comments Download

Messages

Total messages: 6
dfc
Hello golang-codereviews@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
3 years, 6 months ago (2014-03-09 02:20:03 UTC) #1
remyoudompheng
On 2014/03/09 02:20:03, dfc wrote: > Hello mailto:golang-codereviews@googlegroups.com, > > I'd like you to review ...
3 years, 6 months ago (2014-03-09 09:10:55 UTC) #2
dvyukov
https://codereview.appspot.com/73110043/diff/40001/src/pkg/runtime/proc.c File src/pkg/runtime/proc.c (right): https://codereview.appspot.com/73110043/diff/40001/src/pkg/runtime/proc.c#newcode2510 src/pkg/runtime/proc.c:2510: if((gp = runtime·timejump()) != nil) { this scares me ...
3 years, 6 months ago (2014-03-11 07:34:40 UTC) #3
dfc
Thanks Dmitry and Remy for your reviews. What I would like to do is abandon ...
3 years, 6 months ago (2014-03-11 07:56:36 UTC) #4
dvyukov
On Tue, Mar 11, 2014 at 11:56 AM, Dave Cheney <dave@cheney.net> wrote: > Thanks Dmitry ...
3 years, 6 months ago (2014-03-11 08:23:14 UTC) #5
dfc
3 years, 6 months ago (2014-03-11 09:34:00 UTC) #6
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted